import React from "react";
import { FormControl, TextField as MuiTextField, withStyles } from "@material-ui/core";
export var styles = {
    root: {
        width: "100%"
    }
};
var EditorConstField = function (props) {
    var schema = props.schema, classes = props.classes, required = props.required, readonly = props.readonly, value = props.value;
    return (React.createElement(FormControl, { className: classes.root },
        React.createElement(MuiTextField, { autoComplete: "off", label: schema.title || "", disabled: true, required: required, inputProps: {
                readOnly: readonly,
                "aria-label": schema.description || ""
            }, value: value })));
};
export default withStyles(styles, { name: "DcEditorConstField" })(EditorConstField);
