import React from "react";
import { WithStyles } from "@material-ui/core";
import { WithEditorFieldProps } from "../EditorField";
export declare const DEFAULT_CONVERTER = "rgba_hex";
export declare const converters: {
    rgba: (c: any) => string;
    hex: (c: any) => any;
    rgba_hex: (c: any) => any;
};
export declare const styles: {
    root: {
        width: string;
    };
    input: {
        color: string;
    };
};
export interface EditorColorFieldProps extends WithEditorFieldProps<WithStyles<typeof styles>> {
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<EditorColorFieldProps>, "pointer" | "disabled" | "children" | "onChange" | "value" | "required" | "schema" | "readonly" | "registry" | "errorReport" | "parentType"> & import("@material-ui/core").StyledComponentProps<"root" | "input">>;
export default _default;
