import React from "react";
import { WithStyles } from "@material-ui/core";
import { WithEditorFieldProps } from "../EditorField";
export declare const styles: {
    root: {
        width: string;
    };
    rootProperty: {
        "border-left": string;
        padding: string;
        "margin-bottom": string;
        "box-shadow": string;
    };
    btn: {
        "max-width": string;
        margin: string;
        "text-transform": string;
        "border-radius": string;
        "font-size": number;
        padding: string;
        height: number;
        "line-height": number;
        "background-color": string;
        "min-height": number;
        color: string;
        "font-weight": number;
        "&:hover": {
            "background-color": string;
            color: string;
        };
    };
    label: {
        height: string;
        "line-height": number;
    };
    list: {
        "list-style": string;
        "margin-block-start": number;
        "margin-block-end": number;
        margin: number;
        padding: number;
        "box-sizing": string;
    };
    listItem: {
        "margin-left": string;
        display: string;
    };
    removeBtn: {
        "background-color": string;
        color: string;
        "&:hover": {
            "background-color": string;
            color: string;
        };
    };
    listCards: {
        display: string;
    };
    removeBtnHovered: {
        color: string;
    };
};
export interface EditorListFieldProps extends WithEditorFieldProps<WithStyles<typeof styles>> {
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<EditorListFieldProps>, "pointer" | "disabled" | "children" | "onChange" | "value" | "required" | "schema" | "readonly" | "registry" | "errorReport" | "parentType"> & import("@material-ui/core").StyledComponentProps<"root" | "label" | "list" | "rootProperty" | "btn" | "listItem" | "removeBtn" | "listCards" | "removeBtnHovered">>;
export default _default;
