import React from "react";
import { WithStyles } from "@material-ui/core";
import { WithEditorFieldProps } from "../EditorField";
export declare const styles: {
    root: {
        width: string;
    };
    input: {
        "-moz-appearance": string;
        "&::-webkit-outer-spin-button": {
            "-webkit-appearance": string;
            margin: number;
        };
        "&::-webkit-inner-spin-button": {
            "-webkit-appearance": string;
            margin: number;
        };
    };
};
export interface EditorNumberFieldProps extends WithEditorFieldProps<WithStyles<typeof styles>> {
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<EditorNumberFieldProps>, "pointer" | "disabled" | "children" | "onChange" | "value" | "required" | "schema" | "readonly" | "registry" | "errorReport" | "parentType"> & import("@material-ui/core").StyledComponentProps<"root" | "input">>;
export default _default;
